.firmwarestock-section {position:relative;z-index:1}
.firmwarestock-section .firmwarestock-head {display: flex;justify-items: center;padding: 16px;background: #202020;border-radius: 20px;margin-bottom: 16px;}
.firmwarestock-section .select-wrapper {align-items: center;display: flex;gap: 16px;width: 100%;}
.firmwarestock-section .select-label {color:#9ba5b1;font-size: 24px;text-transform: uppercase;}
.select-scroll::-webkit-scrollbar {width: 6px;}
.select-scroll::-webkit-scrollbar-track {background: #f1f1f1;border-radius: 3px;}
.select-scroll::-webkit-scrollbar-thumb {background: rgb(248, 163, 2);border-radius: 3px;}
.firmwarestock-section .select-primary {position: relative;flex-grow: 1;}
.firmwarestock-section .select-head {align-items: center;border:2px solid #ccc;border-radius:10px;cursor: pointer;display: flex;font-size: 18px;font-weight: 500;height: 40px;justify-content:space-between;text-overflow:ellipsis;white-space:nowrap;}
.firmwarestock-section .select-dropdown, .firmwarestock-section .select-head {background-color: #21252a;overflow: hidden;}
.firmwarestock-section .select-value {color:#dcdfe5;display: inline-block;overflow: hidden;padding-left:20px;text-overflow: ellipsis;white-space: nowrap;}
.firmwarestock-section .select-dropdown{border:1px solid #373d48;border-radius:10px;display:none;flex-direction:column;left:0;position:absolute;top:44px;width:100%;z-index:1;}
.firmwarestock-section .select-head:after {background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='23' fill='none' viewBox='0 0 24 23'%3E%3Cpath fill='%236C7684' d='M16.827 9.14a.935.935 0 0 0-1.319 0l-3.355 3.309-3.31-3.31a.935.935 0 1 0-1.317 1.328l3.963 3.963a.933.933 0 0 0 1.327 0l4.01-3.963a.936.936 0 0 0 0-1.328'/%3E%3C/svg%3E");background-position:50%;background-repeat:no-repeat;content:"";display:block;height:24px;min-width:24px;width:24px}
.firmwarestock-section .select-primary.active .select-dropdown {display:flex}
.firmwarestock-section .select-dropdown__item {border-bottom:1px solid #373d48;color:#dcdfe5;cursor:pointer;font-size:18px;font-weight:500;overflow:hidden;padding:5px 20px;text-overflow:ellipsis;white-space:nowrap}
.firmwarestock-section .but {color: #fff;cursor: pointer;font-size: 16px;box-sizing: border-box;display: flex;justify-content: center;align-items: center;padding: 18px 24px;width: 227px;height: 44px;background: linear-gradient(90deg, #F8A302 0%, #AA5A04 100%);border-radius: 15px;}
.firmwarestock-section .but:hover {color: #000;}
.firmwarestock-section .select-scroll {max-height: 300px;overflow-x: hidden;overflow-y: auto;}




.firmwarestock-section .table {display: table;width: 100%;box-sizing: border-box;empty-cells: show;color: #fff;cursor: default;border-collapse: separate;border-spacing: 0 10px;}
.firmwarestock-section .table-tbody {display: table-row-group;}
.firmwarestock-section .table-tr {display: table-row;}
.firmwarestock-section .table-td {display: table-cell;padding:10px 16px;vertical-align: middle;background: #202020;}
.firmwarestock-section .table-td:first-child{border-radius:20px 0 0 20px;}
.firmwarestock-section .table-td:last-child{border-radius:0 20px 20px 0;}
.firmwarestock-section .table-td.nowrap {white-space: nowrap;}
.firmwarestock-section .nofile {display: flex;padding: 10px 0;border-bottom: 2px solid #d19a66;border-top: 2px solid #d19a66;justify-content: center;color: #fff;}


.preloader{display:none;position: fixed;left: 0;top: 0;right: 0;bottom: 0;background: rgb(0 0 0 / 40%);z-index: 1001;	}
.loader {position: absolute;top: calc(50% - 32px);left: calc(50% - 32px);width: 64px;height: 64px;border-radius: 50%;perspective: 800px;}
.inner {position: absolute;box-sizing: border-box;width: 100%;height: 100%;border-radius: 50%;  }
.inner.one {left: 0%;top: 0%;animation: rotate-one 1s linear infinite;border-bottom: 3px solid #EFEFFA;}
.inner.two {right: 0%;top: 0%;animation: rotate-two 1s linear infinite;border-right: 3px solid #EFEFFA;}
.inner.three {right: 0%;bottom: 0%;animation: rotate-three 1s linear infinite;border-top: 3px solid #EFEFFA;}

@keyframes rotate-one {
  0% {
    transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
  }
}

@keyframes rotate-two {
  0% {
    transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
  }
}

@keyframes rotate-three {
  0% {
    transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
  }
}


@media (max-width: 1199px) {
	.firmwarestock-section .table-td {padding: 10px;}
}


@media (max-width: 991px) {
	.firmwarestock-section .table-tr {display: flex;flex-direction: column;margin-bottom: 20px;}
	.firmwarestock-section .table-td:not(:last-child):before {content: attr(data-title) ": ";}
	.firmwarestock-section .table-td:first-child {border-radius: 20px 20px 0 0;}
	.firmwarestock-section .table-td:last-child {border-radius: 0 0 20px 20px;}
	.firmwarestock-section .table {border: none;}
	.firmwarestock-section .table-td {border: none;}
	.firmwarestock-section .table-td {padding: 10px 16px;}

}

@media (max-width: 575px) {
	.firmwarestock-section .select-wrapper {flex-direction: column;align-items: stretch;}
}


